> ## Documentation Index
> Fetch the complete documentation index at: https://docs.formcertify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate

> Validate your company received one-to-one consent



## OpenAPI

````yaml POST /{certificate_id}/v1/validate
openapi: 3.0.1
info:
  title: Certificate API
  description: API for creating vault certificates and validating company consent
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cert.formcertify.com
security:
  - apiKeyAuth: []
paths:
  /{certificate_id}/v1/validate:
    post:
      description: Validate your company received one-to-one consent
      parameters:
        - name: certificate_id
          in: path
          description: ID of certificate
          required: true
          schema:
            type: string
      requestBody:
        description: Validation data
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateRequest'
        required: true
      responses:
        '200':
          description: Validation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ValidateRequest:
      type: object
      required:
        - company_name
      properties:
        company_name:
          type: string
          description: Company name to validate. Case insensitive.
    ValidateResponse:
      type: object
      properties:
        consent_received:
          type: boolean
          description: Whether the company received consent
        company_name:
          type: string
          description: The validated company name
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY

````